Subject: Re: What's cooking in git.git (Mar 2011, #02; Sun, 20)

From: Jens Lehmann <[email-masked]>
Date: Sun, 20 Mar 2011 21:43:11 +0100

Am 20.03.2011 20:49, schrieb Junio C Hamano:
> * jl/submodule-fetch-on-demand (2011-03-06) 7 commits
>  - fetch/pull: Describe --recurse-submodule restrictions in the BUGS section
>  - submodule update: Don't fetch when the submodule commit is already present
>  - fetch/pull: Don't recurse into a submodule when commits are already present
>  - Submodules: Add 'on-demand' value for the 'fetchRecurseSubmodule' option
>  - config: teach the fetch.recurseSubmodules option the 'on-demand' value
>  - fetch/pull: Add the 'on-demand' value to the --recurse-submodules option
>  - fetch/pull: recurse into submodules when necessary
> 
> Is this ready to move forward?

I'm not aware of any issues with that series, so I'd say yes. (The change in
behavior and that we support disconnected operation for submodules way better
than before should of course be mentioned in the release notes)